UbixOS V2 2.0

Data Fields
thread Struct Reference

`#include <thread.h>`

Collaboration diagram for thread:

## Data Fields
int | abi
struct trapframe * | frame
void * | o_files [512]
struct rlimit | rlim [RLIM_NLIMITS]
struct sigaction | sigact [128]
sigset_t | sigmask
int | td_retval [2]
u_long | vm_daddr
u_long | vm_dsize
u_long | vm_taddr
u_long | vm_tsize

## Detailed Description

Definition at line 40 of file thread.h.

## Field Documentation

## ◆ abi

int thread::abi

Definition at line 48 of file thread.h.

Referenced by sys_call(), and sys_call_posix().

## ◆ frame

struct trapframe* thread::frame

Definition at line 47 of file thread.h.

Referenced by sys_call(), sys_call_posix(), sys_fork(), and sys_invalid().

## ◆ o_files

void* thread::o_files[512]

Definition at line 42 of file thread.h.

Referenced by close(), dup2(), falloc(), fcntl(), fdestroy(), fstat(), getfd(), schedNewTask(), sys_close(), sys_fork(), and sys_write().

## ◆ rlim

struct rlimit thread::rlim[RLIM_NLIMITS]

Definition at line 51 of file thread.h.

Referenced by sys_getrlimit(), and sys_setrlimit().

## ◆ sigact

struct sigaction thread::sigact[128]

Definition at line 50 of file thread.h.

Referenced by sys_sigaction().

## ◆ sigmask

sigset_t thread::sigmask

Definition at line 49 of file thread.h.

Referenced by sys_sigprocmask().

## ◆ td_retval

int thread::td_retval[2]

Definition at line 41 of file thread.h.

Referenced by close(), fcntl(), getdtablesize(), getgid(), getpid(), getuid(), ioctl(), kern_openat(), pipe(), read(), readlink(), sys_access(), sys_call(), sys_call_posix(), sys_chdir(), sys_close(), sys_dup2(), sys_execve(), sys_fgetc(), sys_fork(), sys_fread(), sys_fseek(), sys_fstat(), sys_fstatat(), sys_fstatfs(), sys_fwrite(), sys_getdirentries(), sys_getegid(), sys_geteuid(), sys_getpgrp(), sys_getpid(), sys_getppid(), sys_gettimeofday(), sys_invalid(), sys_ioctl(), sys_issetugid(), sys_lseek(), sys_lstat(), sys_mmap(), sys_mpiCreateMbox(), sys_mpiDestroyMbox(), sys_mpiFetchMessage(), sys_mpiPostMessage(), sys_munmap(), sys_openat(), sys_pipe2(), sys_pread(), sys_read(), sys_readlink(), sys_rename(), sys_select(), sys_sendto(), sys_setpgid(), sys_setsockopt(), sys_sigaction(), sys_sigprocmask(), sys_socket(), sys_stat(), sys_statfs(), sys_sysarch(), sys_wait4(), sys_write(), sysGetFreePage(), and sysSDE().

## ◆ vm_daddr

u_long thread::vm_daddr

Definition at line 43 of file thread.h.

Referenced by execFile(), fork_copyProcess(), sys_fork(), and sysExec().

## ◆ vm_dsize

u_long thread::vm_dsize

Definition at line 44 of file thread.h.

Referenced by fork_copyProcess(), sys_fork(), and sysExec().

## ◆ vm_taddr

u_long thread::vm_taddr

Definition at line 45 of file thread.h.

Referenced by fork_copyProcess(), and sys_fork().

## ◆ vm_tsize

u_long thread::vm_tsize

Definition at line 46 of file thread.h.

Referenced by fork_copyProcess(), and sys_fork().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/thread.h